## python-eventlet 0.35.1

=== debian/changelog ===
python-eventlet (0.35.1-3) unstable; urgency=medium

  * Backlist 4 unit tests depending on /etc/resolv.conf (Closes: #1070333):
    - test_clear
    - test_noraise_dns_tcp
    - test_raise_dns_tcp
    - test_dns_methods_are_green

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jun 2024 14:10:33 +0200

python-eventlet (0.35.1-2) unstable; urgency=medium

  * Add python3-hatchling as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Jun 2024 10:27:02 +0200

python-eventlet (0.35.1-1) unstable; urgency=medium

  * New upstream release.
  * Usual maintenance: rebase, refresh and remove patches.
  * Switch to pytest from nose (Closes: #1018489).
  * Fix d/rules for doc moved to doc/source upstream.
  * Added python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2024 21:33:39 +0100
