=== debian/control ===
Source: python-eventlet
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 netbase,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools (>= 20.6.8),
 python3-sphinx,
Build-Depends-Indep:
 python3-dnspython,
 python3-greenlet,
 python3-hatchling,
 python3-httplib2,
 python3-monotonic (>= 1.4),
 python3-openssl,
 python3-pytest,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-zmq,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-eventlet
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-eventlet.git
Homepage: https://eventlet.net
Rules-Requires-Root: no

Package: python-eventlet-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: concurrent networking library - doc
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.
 .
 This package provides the documentation.

Package: python3-eventlet
Architecture: all
Depends:
 netbase,
 python3-greenlet,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-eventlet-doc,
Description: concurrent networking library
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.
 .
 This package provides the Python 3.x module.
