## python-eventlet 0.35.2

=== debian/changelog ===
python-eventlet (0.35.2-0ubuntu1.1) noble-security; urgency=medium

  * SECURITY UPDATE: HTTP Request smuggling
    - debian/patches/CVE-2025-58068.patch: Fix request smuggling
      vulnerability by discarding trailers in eventlet/wsgi.py.
    - CVE-2025-58068

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 15 Sep 2025 14:34:59 -0300

python-eventlet (0.35.2-0ubuntu1) noble; urgency=high

  * SECURITY UPDATE: New upstream point release, resolving
    security issue with dnspython >= 2.6.1:
    - CVE-2023-29483: Address DoS via the Tudoor mechanism.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Apr 2024 08:13:11 +0100

python-eventlet (0.35.1-0ubuntu2) noble; urgency=medium

  * d/control,rules: Switch to using pyproject build system to ensure that
    version is correctly detected and generated in built package.

 -- James Page <james.page@canonical.com>  Wed, 06 Mar 2024 11:36:24 +0000

python-eventlet (0.35.1-0ubuntu1) noble; urgency=medium

  * New upstream point release.
  * d/p/disable-timeout-tests.patch: Disable connection timeout tests
    which fail on LP builders.

 -- James Page <james.page@ubuntu.com>  Wed, 31 Jan 2024 12:40:16 +0000

python-eventlet (0.35.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * d/p/fix-doc-generation.patch: Drop, no longer needed.
  * d/p/*: Refresh.
  * d/p/*: Drop various older patches disable tests; eventlet
    has received some heavy maintenance recently and we can
    always re-introduce them if need be.
  * d/control: Add python3-sphinxcontrib.apidoc to BD's.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jan 2024 19:59:46 +0000
