## python-eventlet 0.39.0

=== debian/changelog ===
python-eventlet (0.39.0-0ubuntu1.1) plucky-security; urgency=medium

  * SECURITY UPDATE: HTTP Request smuggling
    - debian/patches/CVE-2025-58068.patch: Fix request smuggling
      vulnerability by discarding trailers in eventlet/wsgi.py.
    - CVE-2025-58068

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 15 Sep 2025 14:20:32 -0300

python-eventlet (0.39.0-0ubuntu1) plucky; urgency=medium

  * New upstream release:
    - d/p/*.patch: Drop misc patches included in release.
    - d/p/openssl-3.4.0-compat.patch: Refresh to include BrokenPipeError
      as a valid raises with OpenSSL >= 3.4.0.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 12:59:01 +0000

python-eventlet (0.36.1-11ubuntu1) plucky; urgency=medium

  * d/p/openssl-3.4.0-compat.patch: Tweak tests to be compatible
    with new version of OpenSSL (LP: #2091540).

 -- James Page <james.page@ubuntu.com>  Tue, 17 Dec 2024 14:07:00 +0000
