=== debian/control ===
--- 
+++ 
@@ -2,31 +2,33 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-python,
  netbase,
+ openstack-pkg-tools,
  pybuild-plugin-pyproject,
  python3-all,
- python3-hatch-vcs,
- python3-hatchling,
+ python3-setuptools (>= 20.6.8),
+ python3-setuptools-scm,
  python3-sphinx,
- python3-sphinxcontrib.apidoc,
 Build-Depends-Indep:
  python3-dnspython,
  python3-greenlet,
+ python3-hatchling,
  python3-httplib2,
  python3-monotonic (>= 1.4),
- python3-nose,
  python3-openssl,
  python3-pytest,
+ python3-pytest-xdist,
+ python3-sphinxcontrib.apidoc,
  python3-zmq,
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/python-team/packages/python-eventlet
-Vcs-Git: https://salsa.debian.org/python-team/packages/python-eventlet.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-eventlet
+Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-eventlet.git
 Homepage: https://eventlet.net
 Rules-Requires-Root: no
