=== debian/tests/control ===
Tests: listen3
Depends:
 python3-eventlet,

Tests: unittests
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr needs-root
