## python-eventlet 0.39.1

=== debian/changelog ===
python-eventlet (0.39.1-2+deb13u1) trixie; urgency=medium

  * CVE-2025-58068: Eventlet is a concurrent networking library for Python.
    Prior to version 0.40.3, the Eventlet WSGI parser is vulnerable to HTTP
    Request Smuggling due to improper handling of HTTP trailer sections. This
    vulnerability could enable attackers to, bypass front-end security
    controls, launch targeted attacks against active site users, and poison web
    caches. Applied upstream patch (Closes: #1112515):
    - Fix_request_smuggling_vulnerability_by_discarding_trailers.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 10:43:30 +0200

python-eventlet (0.39.1-2) unstable; urgency=medium

  * Add test_send_1k_req_rep to blacklist, failing on armel.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Apr 2025 16:44:12 +0200

python-eventlet (0.39.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed patches appiled upstream:
    - -python3.13-support.patch
    - Spew_Correct_line_lookup_from_inspect.getsourcelines.patch
    - Use_greenthread_s_dead_state_where_possible.patch
  * Refresh some other patches.


 -- Thomas Goirand <zigo@debian.org>  Sun, 30 Mar 2025 12:28:58 +0200
