## python-eventlet 0.40.1

=== debian/changelog ===
python-eventlet (0.40.1-3~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Sun, 31 Aug 2025 22:01:38 +0000

python-eventlet (0.40.1-3) unstable; urgency=high

  * CVE-2025-58068: Eventlet is a concurrent networking library for Python.
    Prior to version 0.40.3, the Eventlet WSGI parser is vulnerable to HTTP
    Request Smuggling due to improper handling of HTTP trailer sections. This
    vulnerability could enable attackers to, bypass front-end security
    controls, launch targeted attacks against active site users, and poison web
    caches. Applied upstream patch (Closes: #1112515):
    - Fix_request_smuggling_vulnerability_by_discarding_trailers.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Aug 2025 23:54:47 +0200

python-eventlet (0.40.1-2) unstable; urgency=medium

  * Remove Skip_ident_comparison_to_avoid_crash_on_Python3.13.patch.
    (Closes: #1109700).

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Aug 2025 12:00:28 +0200

python-eventlet (0.40.1-1) unstable; urgency=medium

  * New upstream release.
  * Blacklist a number of unit tests that are failing with the current
    upstream code that adds Python 3.13 compat.
  * Add remove-python-3.13-classifier.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Jul 2025 16:22:52 +0200

python-eventlet (0.39.1-3) unstable; urgency=medium

  * Add Skip_ident_comparison_to_avoid_crash_on_Python3.13.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 12:34:10 +0200
