## python-eventlet 0.40.2

=== debian/changelog ===
python-eventlet (0.40.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Aug 2025 17:02:56 +0200
