=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,6 @@
 	# fail on armel:
 	# test_send_1k_req_rep
 	set -e ; set -x ; for i in $(shell py3versions -vr 2>/dev/null) ; do \
-		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests -v -n `nproc` -k ' not test_fork_after_monkey_patch and not test_cancel_proportion and not test_clear and not test_noraise_dns_tcp and not test_raise_dns_tcp and not test_dns_methods_are_green and not test_orig_thread and not test_send_1k_pub_sub and not test_ssl_close and not test_send_1k_req_rep' ; \
+		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest tests -v -n `nproc` -k ' not test_fork_after_monkey_patch and not test_cancel_proportion and not test_clear and not test_noraise_dns_tcp and not test_raise_dns_tcp and not test_dns_methods_are_green and not test_orig_thread and not test_send_1k_pub_sub and not test_ssl_close and not test_send_1k_req_rep and not test_double_close_219 and not test_reverse_name and not test_os_read_nonblocking and not test_tpool and not test_zero_second_sleep and not test_threading_condition and not test_is_alive and not test_name and not test_blocking_select_methods_are_deleted and not test_subprocess_after_monkey_patch and not test_patcher_threading_subclass_done and not test_patcher_existing_logging_module_lock and not test_threadpoolexecutor and not test_patcher_existing_locks and not test_threading_join and not test_is_daemon and not test_patcher_existing_locks_early and not test_regular_file_readall and not test_greenlet and not test_context_version_setters and not test_patched_communicate_290 and not test_importlib_lock and not test_fork_in_thread_after_monkey_patch_threading and not test_early_patching and not test_join and not test_patcher_existing_locks_exception and not test_patcher_existing_locks_late and not test_threading_current and not test_ident and not test_greenthread and not test_patched_thread and not test_late_patching and not test_keyerror and not test_simple and not test_can_use_eventlet_in_os_threads and not test_socketserver_selectors and not test_os_write_nonblocking' ; \
 	done
 endif
