## python-eventlet 0.40.3

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the
# order of appearance. Changing the order has an impact on the overall
# integration process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

pyzmq>=25.0.0
