=== debian/changelog ===
python-eventlet (0.40.3-2) unstable; urgency=medium

  * Uploading to unstable.
  * Uses DEB_BUILD_OPTION_PARALLEL (Closes: #1109961).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Sep 2025 11:21:01 +0200

python-eventlet (0.40.3-1) experimental; urgency=medium

  * New upstream release:
    - Fixes CVE-2025-58068 (Eventlet WSGI parser is vulnerable to HTTP
      Request Smuggling due to improper handling of HTTP trailer section).
      (Closes: #1112515).

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Aug 2025 17:43:14 +0200
