## python-eventlet 0.40.4

=== debian/changelog ===
python-eventlet (0.40.4-1~progress8.99u1) horok-backports-extras; urgency=medium

  * Uploading to horok-backports-extras, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging upstream version 0.40.4.
  * Merging debian version 0.40.4-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 01 Mar 2026 01:27:23 +0100

python-eventlet (0.40.4-1) unstable; urgency=medium

  * New upstream release.
  * Removed remove-python-3.13-classifier.patch.
  * Fix how to run autopkgtest without setup.py.
  * Kill debian/tests/listen3.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 10:57:43 +0100

python-eventlet (0.40.3-2~progress8.99u1) horok-backports-extras; urgency=medium

  * Uploading to horok-backports-extras, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging debian version 0.40.3-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 28 Sep 2025 13:11:58 +0200

python-eventlet (0.40.3-1~progress8.99u1) horok-backports-extras; urgency=medium

  * Uploading to horok-backports-extras, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging upstream version 0.40.3.
  * Merging debian version 0.40.3-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 04 Sep 2025 08:51:23 +0200

python-eventlet (0.40.2-1~progress8.99u1) horok-backports-extras; urgency=medium

  * Uploading to horok-backports-extras, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging upstream version 0.40.2.
  * Merging debian version 0.40.2-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 27 Aug 2025 06:16:40 +0200

python-eventlet (0.40.1-2~progress8.99u1) horok-backports-extras; urgency=medium

  * Uploading to horok-backports-extras, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 26 Aug 2025 13:27:00 +0200

python-eventlet (0.40.1-1~progress8.99u1) horok-backports-extras; urgency=medium

  * Initial upload to horok-backports-extras.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 22 Jul 2025 12:42:19 +0200
