=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: python-eventlet
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
-Uploaders:
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+XSBC-Original-Uploaders:
  Thomas Goirand <zigo@debian.org>,
+Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -26,8 +29,10 @@
  python3-sphinxcontrib.apidoc,
  python3-zmq,
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-eventlet
-Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-eventlet.git
+Vcs-Browser: https://git.progress-linux.org/horok-backports-extras/python-eventlet
+Vcs-Git: https://git.progress-linux.org/horok-backports-extras/python-eventlet
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-eventlet
+XSBC-Original-Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-eventlet.git
 Homepage: https://eventlet.net
 Rules-Requires-Root: no
